View Issue Details

IDProjectCategoryView StatusLast Update
0004167libextractorpluginspublic2017-10-12 14:06
ReporterbeberkingAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 
Target Version1.4Fixed in Version1.4 
Summary0004167: FTBFS with FFmpeg 2.9
DescriptionThe thumbnailffmpeg plugin fails to build with latest FFmpeg. Please use AVPixelFormat instead of PixelFormat and AV_PIX_FMT_* instead of PIX_FMT_*

A patch against libextractor 1.3 is attached. It might not cover exactly the SVN version.
TagsNo tags attached.

Activities

beberking

2016-02-07 15:09

developer  

libextractor_ffmpeg-2.9.patch (1,884 bytes)
Description: Replace deprecated FFmpeg API
Author: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
Last-Update: <2015-11-28>

--- libextractor-1.3.orig/src/plugins/thumbnailffmpeg_extractor.c
+++ libextractor-1.3/src/plugins/thumbnailffmpeg_extractor.c
@@ -153,7 +153,7 @@ seek_cb (void *opaque,
 static size_t 
 create_thumbnail (int src_width, int src_height, 
 		  int src_stride[],
-		  enum PixelFormat src_pixfmt, 
+		  enum AVPixelFormat src_pixfmt,
 		  const uint8_t * const src_data[],
 		  int dst_width, int dst_height,
 		  uint8_t **output_data, 
@@ -189,7 +189,7 @@ create_thumbnail (int src_width, int src
   if (NULL == 
       (scaler_ctx =
        sws_getContext (src_width, src_height, src_pixfmt,
-		       dst_width, dst_height, PIX_FMT_RGB24, 
+		       dst_width, dst_height, AV_PIX_FMT_RGB24,
 		       SWS_BILINEAR, NULL, NULL, NULL)))
     {
 #if DEBUG
@@ -214,7 +214,7 @@ create_thumbnail (int src_width, int src
       return 0;
     }
   if (NULL == (dst_buffer =
-	       av_malloc (avpicture_get_size (PIX_FMT_RGB24, dst_width, dst_height))))
+	       av_malloc (avpicture_get_size (AV_PIX_FMT_RGB24, dst_width, dst_height))))
     {
 #if DEBUG
       fprintf (stderr,
@@ -229,7 +229,7 @@ create_thumbnail (int src_width, int src
       return 0;
     }
   avpicture_fill ((AVPicture *) dst_frame, dst_buffer,
-                  PIX_FMT_RGB24, dst_width, dst_height);
+                  AV_PIX_FMT_RGB24, dst_width, dst_height);
   sws_scale (scaler_ctx,
              src_data, 
              src_stride,
@@ -272,7 +272,7 @@ create_thumbnail (int src_width, int src
     }
   encoder_codec_ctx->width = dst_width;
   encoder_codec_ctx->height = dst_height;
-  encoder_codec_ctx->pix_fmt = PIX_FMT_RGB24;
+  encoder_codec_ctx->pix_fmt = AV_PIX_FMT_RGB24;
   opts = NULL;
   if (avcodec_open2 (encoder_codec_ctx, encoder_codec, &opts) < 0)
     {

Christian Grothoff

2016-04-03 01:30

manager   ~0010363

Ought to be fixed in SVN 36975, but untested.

Issue History

Date Modified Username Field Change
2016-02-07 15:09 beberking New Issue
2016-02-07 15:09 beberking File Added: libextractor_ffmpeg-2.9.patch
2016-04-03 01:30 Christian Grothoff Note Added: 0010363
2016-04-03 01:30 Christian Grothoff Status new => resolved
2016-04-03 01:30 Christian Grothoff Fixed in Version => 1.4
2016-04-03 01:30 Christian Grothoff Resolution open => fixed
2016-04-03 01:30 Christian Grothoff Assigned To => Christian Grothoff
2016-04-03 01:30 Christian Grothoff Product Version current SVN => 1.3
2016-04-03 01:30 Christian Grothoff Target Version => 1.4
2017-10-12 14:06 Christian Grothoff Status resolved => closed